import * as lit_html from 'lit-html';
import { LitElement } from 'lit-element';

type ActionButtonVariant = "outlined" | "minimal";
type ActionButtonIntent = "primary" | "light" | "dark";
type ActionButtonSize = "xs" | "sm" | "md" | "lg" | "xl";
type ActionButtonWidth = "auto" | "full";
interface SSActionButtonProps {
    icon?: string;
    label?: string;
    intent?: ActionButtonIntent;
    selected?: boolean;
    variant?: ActionButtonVariant;
    disabled?: boolean;
    size?: ActionButtonSize;
    width?: ActionButtonWidth;
}
declare class SSActionButton extends LitElement implements SSActionButtonProps {
    accessor icon: string;
    accessor label: string;
    accessor intent: ActionButtonIntent;
    accessor selected: boolean;
    accessor variant: ActionButtonVariant;
    accessor disabled: boolean;
    accessor size: ActionButtonSize;
    accessor value: string;
    accessor width: ActionButtonWidth;
    constructor();
    onClick(): void;
    render(): lit_html.TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "ss-action-button": SSActionButton;
    }
}

export { type ActionButtonIntent, type ActionButtonSize, type ActionButtonVariant, type ActionButtonWidth, SSActionButton, type SSActionButtonProps };
